name: client_home
description: Home screen and dashboard for the client application.
version: 0.0.1
publish_to: none
resolution: workspace

environment:
  sdk: '>=3.10.0 <4.0.0'
  flutter: ">=3.0.0"

dependencies:
  flutter:
    sdk: flutter
  flutter_bloc: ^8.1.0
  flutter_modular: ^6.3.0
  equatable: ^2.0.5
  lucide_icons: ^0.257.0
  
  # Architecture Packages
  design_system:
    path: ../../../design_system
  core_localization:
    path: ../../../core_localization
  krow_domain: ^0.0.1
  krow_data_connect: ^0.0.1

dev_dependencies:
  flutter_test:
    sdk: flutter
  bloc_test: ^9.1.0
  mocktail: ^1.0.0

flutter:
  uses-material-design: true
